org.apache.hc.client5.http.impl.auth

## Class CredSspSchemeFactory

- java.lang.Object
- - org.apache.hc.client5.http.impl.auth.CredSspSchemeFactory

All Implemented Interfaces:
  AuthSchemeProvider

    @Contract(threading=STATELESS)
    @Experimental
    public class CredSspSchemeFactory
    extends Object
    implements AuthSchemeProvider

`AuthSchemeProvider` implementation that creates and initializes `CredSspScheme` instances.

Since:
  4.0

### Constructor Summary

Constructors
Constructor and Description
`CredSspSchemeFactory()`
`CredSspSchemeFactory(SSLContext sslContext)`

### Method Summary

Methods
`AuthScheme` `create(HttpContext context)` Creates an instance of `AuthScheme`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CredSspSchemeFactory

    public CredSspSchemeFactory()

#### CredSspSchemeFactory

    public CredSspSchemeFactory(SSLContext sslContext)

### Method Detail

#### create

    public AuthScheme create(HttpContext context)

Description copied from interface: `AuthSchemeProvider`
Creates an instance of `AuthScheme`.

Specified by:
  `create` in interface `AuthSchemeProvider`
Returns:
  auth scheme.